From 3b9395ef2af44ebf914f07d52194fb4823631e35 Mon Sep 17 00:00:00 2001
From: Shlok Kyal <shlok.kyal.oss@gmail.com>
Date: Thu, 24 Apr 2025 13:25:08 +0530
Subject: [PATCH v1] Fix spelling for file names

Rename files invalidation_distrubution.out and
invalidation_distrubution.spec to invalidation_distribution.out
and invalidation_distribution.spec.
---
 contrib/test_decoding/Makefile                                  | 2 +-
 ...alidation_distrubution.out => invalidation_distribution.out} | 0
 ...idation_distrubution.spec => invalidation_distribution.spec} | 0
 3 files changed, 1 insertion(+), 1 deletion(-)
 rename contrib/test_decoding/expected/{invalidation_distrubution.out => invalidation_distribution.out} (100%)
 rename contrib/test_decoding/specs/{invalidation_distrubution.spec => invalidation_distribution.spec} (100%)

diff --git a/contrib/test_decoding/Makefile b/contrib/test_decoding/Makefile
index 8b0b8cc3acf..1e5f4f6b1cd 100644
--- a/contrib/test_decoding/Makefile
+++ b/contrib/test_decoding/Makefile
@@ -9,7 +9,7 @@ REGRESS = ddl xact rewrite toast permissions decoding_in_xact \
 ISOLATION = mxact delayed_startup ondisk_startup concurrent_ddl_dml \
 	oldest_xmin snapshot_transfer subxact_without_top concurrent_stream \
 	twophase_snapshot catalog_change_snapshot skip_snapshot_restore \
-	invalidation_distrubution
+	invalidation_distribution
 
 REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/test_decoding/logical.conf
 ISOLATION_OPTS = --temp-config $(top_srcdir)/contrib/test_decoding/logical.conf
diff --git a/contrib/test_decoding/expected/invalidation_distrubution.out b/contrib/test_decoding/expected/invalidation_distribution.out
similarity index 100%
rename from contrib/test_decoding/expected/invalidation_distrubution.out
rename to contrib/test_decoding/expected/invalidation_distribution.out
diff --git a/contrib/test_decoding/specs/invalidation_distrubution.spec b/contrib/test_decoding/specs/invalidation_distribution.spec
similarity index 100%
rename from contrib/test_decoding/specs/invalidation_distrubution.spec
rename to contrib/test_decoding/specs/invalidation_distribution.spec
-- 
2.34.1

